org.apache.ignite.internal.client

## Interface GridClientNode

All Known Implementing Classes:
  GridClientNodeImpl

    public interface GridClientNode

Descriptor of remote grid node. Use `GridClientCompute.nodes()` to get a full view over remote grid nodes.

### Method Summary

All Methods Instance Methods Abstract Methods
`<T> T` `attribute(String name)` Gets specific attribute of remote node.
`Map<String,Object>` `attributes()` Gets all attributes of remote node.
`Collection<InetSocketAddress>` `availableAddresses(GridClientProtocol proto, boolean filterResolved)` Gets collection of addresses on which REST binary protocol is bound.
`Map<String,GridClientCacheMode>` `caches()` Gets all configured caches and their types on remote node.
`boolean` `connectable()` Indicates whether client can establish direct connection with this node.
`Object` `consistentId()` Gets consistent globally unique node ID.
`GridClientNodeMetrics` `metrics()` Gets various dynamic metrics of remote node.
`UUID` `nodeId()` Gets ID of a remote node.
`long` `order()` Node order within grid topology.
`List<String>` `tcpAddresses()` Gets list of REST TCP server addresses of remote node.
`List<String>` `tcpHostNames()` Gets list of REST TCP server host names of remote node.
`int` `tcpPort()` Gets client TCP port of remote node.

### Method Detail

#### nodeId

    UUID nodeId()

Gets ID of a remote node.

Returns:
  Node ID.

#### consistentId

    Object consistentId()

Gets consistent globally unique node ID. Unlike `nodeId()` method, this method returns consistent node ID which survives node restarts.

Returns:
  Consistent globally unique node ID.

#### tcpAddresses

    List<String> tcpAddresses()

Gets list of REST TCP server addresses of remote node.

Returns:
  REST TCP server addresses.

#### tcpHostNames

    List<String> tcpHostNames()

Gets list of REST TCP server host names of remote node.

Returns:
  REST TCP server host names.

#### tcpPort

    int tcpPort()

Gets client TCP port of remote node.

Returns:
  Remote tcp port.

#### attributes

    Map<String,Object> attributes()

Gets all attributes of remote node. Note that all system and environment properties are automatically includes in node attributes. User can also attach custom attributes and then use them to further filter remote nodes into virtual subgrids for task execution.

Returns:
  All node attributes.

#### attribute

    @Nullable
    <T> T attribute(String name)

Gets specific attribute of remote node.

Parameters:
  `name` - Attribute name.
Returns:
  Attribute value.
See Also:
  `attributes()`

#### metrics

    GridClientNodeMetrics metrics()

Gets various dynamic metrics of remote node.

Returns:
  Metrics of remote node.

#### caches

    Map<String,GridClientCacheMode> caches()

Gets all configured caches and their types on remote node.

Returns:
  Map in which key is a configured cache name on the node, value is mode of configured cache.

#### availableAddresses

    Collection<InetSocketAddress> availableAddresses(GridClientProtocol proto,
                                                     boolean filterResolved)

Gets collection of addresses on which REST binary protocol is bound.

Parameters:
  `proto` - Protocol for which addresses are obtained.
  `filterResolved` - Whether to filter resolved addresses ( `InetSocketAddress.isUnresolved()` returns `False` ) or not.
Returns:
  List of addresses.

#### connectable

    boolean connectable()

Indicates whether client can establish direct connection with this node. So it is guaranteed that that any request will take only one network 'hop' before it will be processed by a Grid node.

Returns:
  `true` if node can be directly connected, `false` if request may be passed through a router.

#### order

    long order()

Node order within grid topology.

Returns:
  Node startup order.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.6
Release Date | : September 11 2019